<nav id="toolbar">
    <mat-toolbar color="primary">
        <span class="title" routerLink="/">Saas-Almagell News</span>
        <span class="example-spacer"></span>
        @if (showAdminBoard) {
            <button routerLink="/post-management" mat-icon-button> 
                <mat-icon>add_box</mat-icon>
            </button>
          }
        @if (!isLoggedIn){
            <button mat-icon-button routerLink="/login"> 
                <mat-icon>login</mat-icon>
            </button>
            <button mat-icon-button routerLink="/register"> 
                <mat-icon>person_add_alt_1</mat-icon>
            </button>
        } @else {
            <button routerLink="/profile" mat-icon-button> 
                <mat-icon>person</mat-icon>
            </button>
            <button mat-icon-button (click)="logout()"> 
                <mat-icon>logout</mat-icon>
            </button>
        }
       

    </mat-toolbar>
</nav>
<router-outlet />